Index: trunk/source/Lib/TLibCommon/TComPrediction.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 625)
+++ trunk/source/Lib/TLibCommon/TComPrediction.cpp	(revision 655)
@@ -3327,8 +2059,6 @@
 #if H_3D_DIM_SDC
 Void TComPrediction::analyzeSegmentsSDC( Pel* pOrig, UInt uiStride, UInt uiSize, Pel* rpSegMeans, UInt uiNumSegments, Bool* pMask, UInt uiMaskStride
-#if KWU_SDC_SIMPLE_DC_E0117
                                          ,UInt uiIntraMode
                                          ,Bool orgDC
-#endif
                                         )
 {
@@ -3338,5 +2068,4 @@
   memset(iSumPix, 0, sizeof(Int)*2);
   
-#if KWU_SDC_SIMPLE_DC_E0117
   if (orgDC == false)
   {
@@ -3364,5 +2093,4 @@
     return;
   }
-#endif
 
   Int subSamplePix;
Index: trunk/source/Lib/TLibCommon/TComPrediction.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComPrediction.h	(revision 625)
+++ trunk/source/Lib/TLibCommon/TComPrediction.h	(revision 655)
@@ -76,9 +76,5 @@
   Int    m_iLumaRecStride;       ///< stride of #m_pLumaRecBuffer array
 #if H_3D_IC
-#if SHARP_ILLUCOMP_REFINE_E0046
   UInt   m_uiaShift[ 64 ];       // Table for multiplication to substitue of division operation
-#else
-  UInt   m_uiaShift[ 63 ];       // Table for multiplication to substitue of division operation
-#endif
 #endif
 
@@ -88,7 +84,5 @@
   Int  xGetConstrainedSize(Int nPbW, Int nPbH, Bool bLuma = true);
 #endif
-#if NTT_VSP_COMMON_E0207_E0208
   TComYuv   m_cYuvDepthOnVsp;
-#endif
 #endif
 
@@ -126,12 +120,7 @@
 
 #if H_3D_VSP
-#if NTT_VSP_COMMON_E0207_E0208
   Void xGetVirtualDepth           ( TComDataCU *cu, TComPicYuv *picRefDepth, TComMv *dv, UInt partAddr, Int width, Int height, TComYuv *yuvDepth, Int txtPerDepthX=1, Int txtPerDepthY=1 );
   Void xPredInterLumaBlkFromDM    ( TComDataCU *cu, TComPicYuv *picRef, TComYuv *yuvDepth, Int* shiftLUT, TComMv *mv, UInt partAddr, Int width, Int height, Bool isDepth, TComYuv *&pcYuvDst, Bool isBi );
   Void xPredInterChromaBlkFromDM  ( TComDataCU *cu, TComPicYuv *picRef, TComYuv *yuvDepth, Int* shiftLUT, TComMv *mv, UInt partAddr, Int width, Int height, Bool isDepth, TComYuv *&pcYuvDst, Bool isBi );
-#else
-  Void xPredInterLumaBlkFromDM  ( TComPicYuv *refPic, TComPicYuv *pPicBaseDepth, Int* pShiftLUT, TComMv* dv, UInt partAddr, Int posX, Int posY, Int sizeX, Int sizeY, Bool isDepth, TComYuv *&dstPic, Bool bi );
-  Void xPredInterChromaBlkFromDM( TComPicYuv *refPic, TComPicYuv *pPicBaseDepth, Int* pShiftLUT, TComMv* dv, UInt partAddr, Int posX, Int posY, Int sizeX, Int sizeY, Bool isDepth, TComYuv *&dstPic, Bool bi );
-#endif
 #endif
 
@@ -140,9 +129,5 @@
   Void xGetLLSPrediction ( TComPattern* pcPattern, Int* pSrc0, Int iSrcStride, Pel* pDst0, Int iDstStride, UInt uiWidth, UInt uiHeight, UInt uiExt0 );
 #if H_3D_IC
-#if SHARP_ILLUCOMP_REFINE_E0046
   Void xGetLLSICPrediction( TComDataCU* pcCU, TComMv *pMv, TComPicYuv *pRefPic, Int &a, Int &b, TextType eType );
-#else
-  Void xGetLLSICPrediction( TComDataCU* pcCU, TComMv *pMv, TComPicYuv *pRefPic, Int &a, Int &b, Int &iShift, TextType eType );
-#endif
 #endif
   Void xDCPredFiltering( Int* pSrc, Int iSrcStride, Pel*& rpDst, Int iDstStride, Int iWidth, Int iHeight );
@@ -154,18 +139,7 @@
   Void xAssignBiSegDCs          ( Pel* ptrDst, UInt dstStride, Bool* biSegPattern, Int patternStride, Pel   valDC1, Pel   valDC2 );
 #if H_3D_DIM_DMM
-#if !SEC_DMM2_E0146_HHIFIX
-  UInt xPredWedgeFromIntra      ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiWidth, UInt uiHeight, Int iDeltaEnd = 0 );
-#endif
   UInt xPredWedgeFromTex        ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiWidth, UInt uiHeight, UInt intraTabIdx );
   Void xPredContourFromTex      ( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiWidth, UInt uiHeight, TComWedgelet* pcContourWedge );
-
   Void xCopyTextureLumaBlock    ( TComDataCU* pcCU, UInt uiAbsPartIdx, Pel* piDestBlockY, UInt uiWidth, UInt uiHeight );
-
-#if !SEC_DMM2_E0146_HHIFIX
-  Void xGetBlockOffset          ( TComDataCU* pcCU, UInt uiAbsPartIdx, TComDataCU* pcRefCU, UInt uiRefAbsPartIdx, UInt& ruiOffsetX, UInt& ruiOffsetY );
-  Bool xGetWedgeIntraDirPredData( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiBlockSize, Int& riSlopeX, Int& riSlopeY, UInt& ruiStartPosX, UInt& ruiStartPosY );
-  Void xGetWedgeIntraDirStartEnd( TComDataCU* pcCU, UInt uiAbsPartIdx, UInt uiBlockSize, Int iDeltaX, Int iDeltaY, UInt uiPMSPosX, UInt uiPMSPosY, UChar& ruhXs, UChar& ruhYs, UChar& ruhXe, UChar& ruhYe, Int iDeltaEnd = 0 );
-  UInt xGetWedgePatternIdx      ( UInt uiBlockSize, UChar uhXs, UChar uhYs, UChar uhXe, UChar uhYe );
-#endif
 #endif
 #if H_3D_DIM_RBC
@@ -196,8 +170,6 @@
 #if H_3D_DIM_SDC
   Void analyzeSegmentsSDC         ( Pel* pOrig, UInt uiStride, UInt uiSize, Pel* rpSegMeans, UInt uiNumSegments, Bool* pMask, UInt uiMaskStride
-#if KWU_SDC_SIMPLE_DC_E0117
                                     ,UInt uiIntraMode 
                                     ,Bool orgDC=false
-#endif
     );
 #endif
Index: trunk/source/Lib/TLibCommon/TComRdCost.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComRdCost.cpp	(revision 625)
+++ trunk/source/Lib/TLibCommon/TComRdCost.cpp	(revision 655)
@@ -484,5 +484,5 @@
 }
 
-#if SCU_HS_FAST_DEPTH_INTRA_E0238_HHIFIX
+#if H_3D_FAST_DEPTH_INTRA
 
 UInt TComRdCost::calcVAR (Pel* pi0, Int stride, Int width, Int height, Int cuDepth)
@@ -542,5 +542,5 @@
   cDtParam.bUseIC       = false;
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   cDtParam.bUseSDCMRSAD = false;
 #endif
@@ -605,14 +605,10 @@
     dist = (Dist) (iDWeight * distDepth + iVSOWeight * dist ) / ( iDWeight + iVSOWeight);
   }
-#if H_3D_FIX_UINT_WARNING
+
   return (UInt) dist; 
-#else
-  return dist; 
-#endif
-
-}
-#endif
-
-#if RATE_CONTROL_LAMBDA_DOMAIN && !M0036_RC_IMPROVEMENT
+}
+#endif
+
+#if (RATE_CONTROL_LAMBDA_DOMAIN && !M0036_RC_IMPROVEMENT) || KWU_RC_MADPRED_E0227
 UInt TComRdCost::getSADPart ( Int bitDepth, Pel* pelCur, Int curStride,  Pel* pelOrg, Int orgStride, UInt width, UInt height )
 {
@@ -652,5 +648,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -692,5 +688,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -735,5 +731,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -782,5 +778,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -838,5 +834,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -886,5 +882,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -944,5 +940,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -1016,5 +1012,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -1081,5 +1077,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -1185,5 +1181,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -1261,5 +1257,5 @@
 #endif
 
-#if H_3D_IC || LGE_INTER_SDC_E0156
+#if H_3D_IC || H_3D_INTER_SDC
 UInt TComRdCost::xGetSADic( DistParam* pcDtParam )
 {
@@ -3513,5 +3509,5 @@
   }
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   if( pcDtParam->bUseSDCMRSAD )
   {
@@ -3616,5 +3612,5 @@
 }
 
-#if H_3D_IC || LGE_INTER_SDC_E0156
+#if H_3D_IC || H_3D_INTER_SDC
 UInt TComRdCost::xGetHADsic( DistParam* pcDtParam )
 {
Index: trunk/source/Lib/TLibCommon/TComRdCost.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComRdCost.h	(revision 625)
+++ trunk/source/Lib/TLibCommon/TComRdCost.h	(revision 655)
@@ -94,5 +94,5 @@
   Bool  bUseIC;
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
   Bool  bUseSDCMRSAD;
 #endif
@@ -136,5 +136,5 @@
     iStrideVir = 0;
 #endif
-#if LGE_INTER_SDC_E0156
+#if H_3D_INTER_SDC
     bUseSDCMRSAD = false;
 #endif
@@ -148,6 +148,4 @@
 private:
   // for distortion
-  Int                     m_iBlkWidth;
-  Int                     m_iBlkHeight;
   
 #if AMP_SAD
@@ -235,5 +233,5 @@
   UInt    calcHAD(Int bitDepth, Pel* pi0, Int iStride0, Pel* pi1, Int iStride1, Int iWidth, Int iHeight );
   
-#if SCU_HS_FAST_DEPTH_INTRA_E0238_HHIFIX
+#if H_3D_FAST_DEPTH_INTRA
   UInt    calcVAR(Pel* pi0, Int stride, Int width, Int height, Int cuDepth);
 #endif  
@@ -283,5 +281,5 @@
   static UInt xGetSSE64         ( DistParam* pcDtParam );
   static UInt xGetSSE16N        ( DistParam* pcDtParam );
-#if H_3D_IC || LGE_INTER_SDC_E0156
+#if H_3D_IC || H_3D_INTER_SDC
   static UInt xGetSADic         ( DistParam* pcDtParam );
   static UInt xGetSAD4ic        ( DistParam* pcDtParam );
@@ -311,5 +309,5 @@
 
 #if AMP_SAD
-#if H_3D_IC || LGE_INTER_SDC_E0156
+#if H_3D_IC || H_3D_INTER_SDC
   static UInt xGetSAD12ic       ( DistParam* pcDtParam );
   static UInt xGetSAD24ic       ( DistParam* pcDtParam );
@@ -322,5 +320,5 @@
 #endif
 
-#if H_3D_IC || LGE_INTER_SDC_E0156
+#if H_3D_IC || H_3D_INTER_SDC
   static UInt xGetHADsic          ( DistParam* pcDtParam );
 #endif
@@ -343,5 +341,5 @@
 #endif
 
-#if RATE_CONTROL_LAMBDA_DOMAIN && !M0036_RC_IMPROVEMENT
+#if (RATE_CONTROL_LAMBDA_DOMAIN && !M0036_RC_IMPROVEMENT) || KWU_RC_MADPRED_E0227
   UInt   getSADPart ( Int bitDepth, Pel* pelCur, Int curStride,  Pel* pelOrg, Int orgStride, UInt width, UInt height );
 #endif
Index: trunk/source/Lib/TLibCommon/TComRom.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 625)
+++ trunk/source/Lib/TLibCommon/TComRom.cpp	(revision 655)
@@ -55,10 +55,9 @@
   ::memset( g_aucConvertToBit,   -1, sizeof( g_aucConvertToBit ) );
   c=0;
-  for ( i=4; i<MAX_CU_SIZE; i*=2 )
+  for ( i=4; i<=MAX_CU_SIZE; i*=2 )
   {
     g_aucConvertToBit[ i ] = c;
     c++;
   }
-  g_aucConvertToBit[ i ] = c;
   
   c=2;
@@ -292,5 +291,5 @@
 
 #if FAST_UDI_USE_MPM
-const UChar g_aucIntraModeNumFast[7] =
+const UChar g_aucIntraModeNumFast[MAX_CU_DEPTH] =
 {
   3,  //   2x2
@@ -299,9 +298,8 @@
   3,  //  16x16   
   3,  //  32x32   
-  3,  //  64x64   
-  3   // 128x128  
+  3   //  64x64   
 };
 #else // FAST_UDI_USE_MPM
-const UChar g_aucIntraModeNumFast[7] =
+const UChar g_aucIntraModeNumFast[MAX_CU_DEPTH] =
 {
   3,  //   2x2
@@ -310,6 +308,5 @@
   4,  //  16x16   33
   4,  //  32x32   33
-  5,  //  64x64   33
-  4   // 128x128  33
+  5   //  64x64   33
 };
 #endif // FAST_UDI_USE_MPM
@@ -347,13 +344,8 @@
 { //2x2   4x4   8x8 16x16 32x32 64x64
      0,    7,   10,   11,   11,   13 };
-#if LGE_PKU_DMM3_OVERLAP_E0159_HHIFIX
+
 const UChar g_dmm3IntraTabIdxBits[6] =
 { //2x2   4x4   8x8 16x16 32x32 64x64
      0,    4,    7,    8,    8,    0 };
-#else
-const UChar g_dmm3IntraTabIdxBits[6] =
-{ //2x2   4x4   8x8 16x16 32x32 64x64
-     0,    6,    9,    9,    9,    0 };
-#endif
 
 extern std::vector< std::vector<TComWedgelet> >   g_dmmWedgeLists;
@@ -614,9 +606,5 @@
 std::vector< std::vector< std::vector<UInt> > > g_aauiWdgLstM3;
 
-#if LGE_PKU_DMM3_OVERLAP_E0159_HHIFIX
 Void initWedgeLists( Bool initNodeList )
-#else
-Void initWedgeLists( Bool initRefinements )
-#endif
 {
   if( !g_dmmWedgeLists.empty() ) return;
@@ -631,21 +619,15 @@
     g_dmmWedgeRefLists.push_back( acWedgeRefList );
 
-#if LGE_PKU_DMM3_OVERLAP_E0159_HHIFIX
     if( initNodeList )
     {
-#endif
-    // create WedgeNodeList
-    std::vector<TComWedgeNode> acWedgeNodeList;
-    for( UInt uiPos = 0; uiPos < acWedgeList.size(); uiPos++ )
-    {
-      if( acWedgeList[uiPos].getIsCoarse() )
-      {
-        TComWedgeNode cWedgeNode;
-        cWedgeNode.setPatternIdx( uiPos );
-
-#if !LGE_PKU_DMM3_OVERLAP_E0159_HHIFIX
-        if( initRefinements )
+      // create WedgeNodeList
+      std::vector<TComWedgeNode> acWedgeNodeList;
+      for( UInt uiPos = 0; uiPos < acWedgeList.size(); uiPos++ )
+      {
+        if( acWedgeList[uiPos].getIsCoarse() )
         {
-#endif
+          TComWedgeNode cWedgeNode;
+          cWedgeNode.setPatternIdx( uiPos );
+
           UInt uiRefPos = 0;
           for( Int iOffS = -1; iOffS <= 1; iOffS++ )
@@ -674,7 +656,7 @@
               {
                 if( iSx == (Int)acWedgeRefList[k].getStartX() && 
-                    iSy == (Int)acWedgeRefList[k].getStartY() && 
-                    iEx == (Int)acWedgeRefList[k].getEndX()   && 
-                    iEy == (Int)acWedgeRefList[k].getEndY()      )
+                  iSy == (Int)acWedgeRefList[k].getStartY() && 
+                  iEx == (Int)acWedgeRefList[k].getEndX()   && 
+                  iEy == (Int)acWedgeRefList[k].getEndY()      )
                 {
                   if( acWedgeRefList[k].getRefIdx() != cWedgeNode.getPatternIdx() )
@@ -694,16 +676,10 @@
             }
           }
-#if !LGE_PKU_DMM3_OVERLAP_E0159_HHIFIX
+          acWedgeNodeList.push_back( cWedgeNode );
         }
-#endif
-        acWedgeNodeList.push_back( cWedgeNode );
-      }
-    }
-    g_dmmWedgeNodeLists.push_back( acWedgeNodeList );
-#if LGE_PKU_DMM3_OVERLAP_E0159_HHIFIX
-  }
-#endif
-  }
-  return;
+      }
+      g_dmmWedgeNodeLists.push_back( acWedgeNodeList );
+    }
+  }
 }
 
Index: trunk/source/Lib/TLibCommon/TComRom.h
===================================================================
--- trunk/source/Lib/TLibCommon/TComRom.h	(revision 625)
+++ trunk/source/Lib/TLibCommon/TComRom.h	(revision 655)
@@ -56,5 +56,5 @@
 // ====================================================================================================================
 
-#define     MAX_CU_DEPTH            7                           // log2(LCUSize)
+#define     MAX_CU_DEPTH            6                           // log2(LCUSize)
 #define     MAX_CU_SIZE             (1<<(MAX_CU_DEPTH))         // maximum allowable size of CU
 #define     MIN_PU_SIZE             4
@@ -136,5 +136,5 @@
 // ====================================================================================================================
 
-extern const UChar  g_aucIntraModeNumFast[7];
+extern const UChar  g_aucIntraModeNumFast[ MAX_CU_DEPTH ];
 
 // ====================================================================================================================
@@ -174,9 +174,5 @@
 extern       std::vector< std::vector< std::vector<UInt> > > g_aauiWdgLstM3;
 
-#if LGE_PKU_DMM3_OVERLAP_E0159_HHIFIX
 Void initWedgeLists( Bool initNodeList = false );
-#else
-Void initWedgeLists( Bool initRefinements = false );
-#endif
 Void createWedgeList( UInt uiWidth, UInt uiHeight, std::vector<TComWedgelet> &racWedgeList, std::vector<TComWedgeRef> &racWedgeRefList, WedgeResolution eWedgeRes );
 Void addWedgeletToList( TComWedgelet cWedgelet, std::vector<TComWedgelet> &racWedgeList, std::vector<TComWedgeRef> &racWedgeRefList );
